<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class VideoAddScanned extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('photo', function (Blueprint $table) {
            $table->boolean('scanned')->nullable();
            $table->string('file_signature')->nullable();
            $table->string('identifier')->nullable();
            $table->string('software')->nullable();
        });

        Schema::table('videos', function (Blueprint $table) {
            $table->boolean('scanned')->nullable();
            $table->string('file_signature')->nullable();
            $table->string('identifier')->nullable();
            $table->string('software')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('photo', function (Blueprint $table) {
            $table->dropColumn('scanned');
            $table->dropColumn('file_signature');
            $table->dropColumn('identifier');
            $table->dropColumn('software');
        });
        Schema::table('videos', function (Blueprint $table) {
            $table->dropColumn('scanned');
            $table->dropColumn('file_signature');
            $table->dropColumn('identifier');
            $table->dropColumn('software');
        });
    }
}
